'use strict';

/* eslint-disable no-unused-expressions */

const expect = require(`chai`).expect;
const mocha = require(`mocha`);
const validators = require(`./validators`);

const describe = mocha.describe;
const it = mocha.it;

describe(`validators`, function () {
  it(`validates a project name`, function () {
    expect(validators.validateProjectName(``)).to.be.false;
    expect(validators.validateProjectName(`validName`)).to.be.true;
  });

  it(`validates a full name`, function () {
    expect(validators.validateFullName(``)).to.be.false;
    expect(validators.validateFullName(`Full Name`)).to.be.true;
  });

  it(`validates email`, function () {
    expect(validators.validateEmail(``)).to.be.false;
    expect(validators.validateEmail(`name@example.com`)).to.be.true;
  });

  it(`validates a GitLab user name`, function () {
    expect(validators.validateGitLabName(``)).to.be.false;
    expect(validators.validateGitLabName(`userName`)).to.be.true;
  });

  it(`validates CI provider`, function () {
    expect(typeof validators.validateCIProvider(`Jenkins`)).to.equal(`string`);
    expect(validators.validateCIProvider(`None`)).to.be.true;
    expect(validators.validateCIProvider(`Travis CI`)).to.be.true;
  });
});
